* [gentoo-commits] repo/gentoo:master commit in: media-libs/speexdsp/files/, media-libs/speexdsp/
@ 2017-03-03 23:11 Michael Palimaka
0 siblings, 0 replies; 5+ messages in thread
From: Michael Palimaka @ 2017-03-03 23:11 UTC (permalink / raw
To: gentoo-commits
commit: a0e0030ba45065e47f61c1381d283cf6162a733b
Author: Aric Belsito <lluixhi <AT> gmail <DOT> com>
AuthorDate: Wed Dec 14 21:53:30 2016 +0000
Commit: Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Fri Mar 3 23:11:34 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a0e0030b
media-libs/speexdsp: New package
media-libs/speexdsp/Manifest | 1 +
.../files/speexdsp-1.2_rc3-configure.patch | 44 ++++++++++++++++++
media-libs/speexdsp/metadata.xml | 11 +++++
media-libs/speexdsp/speexdsp-1.2_rc3.ebuild | 54 ++++++++++++++++++++++
4 files changed, 110 insertions(+)
diff --git a/media-libs/speexdsp/Manifest b/media-libs/speexdsp/Manifest
new file mode 100644
index 00000000000..222b3132389
--- /dev/null
+++ b/media-libs/speexdsp/Manifest
@@ -0,0 +1 @@
+DIST speexdsp-1.2rc3.tar.gz 901771 SHA256 4ae688600039f5d224bdf2e222d2fbde65608447e4c2f681585e4dca6df692f1 SHA512 29dfa8345df025eeb076561648a9b5c0485692be699b6da3c2a3734b4329187a1c2eb181252f4df12b21f1309ecdf59797437dfb123d160fd723491ab216e858 WHIRLPOOL 74e09df1819f0a857934f7821d1176c2ed410d231e51eaba5042c2e703f800ada54a648ba3400ea5b078b2a36c11c7f367322ec48fe09233d046fdfcb6b62930
diff --git a/media-libs/speexdsp/files/speexdsp-1.2_rc3-configure.patch b/media-libs/speexdsp/files/speexdsp-1.2_rc3-configure.patch
new file mode 100644
index 00000000000..ae29da58438
--- /dev/null
+++ b/media-libs/speexdsp/files/speexdsp-1.2_rc3-configure.patch
@@ -0,0 +1,44 @@
+diff -Naur speexdsp-1.2rc3.orig/configure.ac speexdsp-1.2rc3/configure.ac
+--- speexdsp-1.2rc3.orig/configure.ac 2016-12-12 20:04:48.710853453 -0800
++++ speexdsp-1.2rc3/configure.ac 2016-12-12 20:05:07.588052415 -0800
+@@ -151,10 +151,17 @@
+ AC_ARG_ENABLE(sse, [ --enable-sse Enable SSE support], [
+ if test "x$enableval" != xno; then
+ has_sse=yes
+-has_sse2=yes
+-CFLAGS="$CFLAGS -O3 -msse -msse2"
++CFLAGS="$CFLAGS -msse"
+ else
+ has_sse=no
++fi
++])
++
++AC_ARG_ENABLE(sse2, [ --enable-sse2 Enable SSE2 support], [
++if test "x$enableval" != xno; then
++has_sse2=yes
++CFLAGS="$CFLAGS -msse2"
++else
+ has_sse2=no
+ fi
+ ])
+@@ -162,7 +169,7 @@
+ AC_ARG_ENABLE(neon, [ --enable-neon Enable NEON support], [
+ if test "x$enableval" != xno; then
+ has_neon=yes
+-CFLAGS="$CFLAGS -O3 -march=armv7-a -mfpu=neon"
++CFLAGS="$CFLAGS -mfpu=neon"
+ else
+ has_neon=no
+ fi
+diff -Naur speexdsp-1.2rc3.orig/libspeexdsp/Makefile.am speexdsp-1.2rc3/libspeexdsp/Makefile.am
+--- speexdsp-1.2rc3.orig/libspeexdsp/Makefile.am 2016-12-12 20:04:48.690853242 -0800
++++ speexdsp-1.2rc3/libspeexdsp/Makefile.am 2016-12-12 20:08:27.740161974 -0800
+@@ -29,7 +29,7 @@
+ pseudofloat.h smallft.h vorbis_psy.h resample_sse.h resample_neon.h
+
+ libspeexdsp_la_LDFLAGS = -no-undefined -version-info @SPEEXDSP_LT_CURRENT@:@SPEEXDSP_LT_REVISION@:@SPEEXDSP_LT_AGE@
+-libspeexdsp_la_LIBADD = $(LIBM)
++libspeexdsp_la_LIBADD = $(LIBM) $(FFT_LIBS)
+
+ if BUILD_EXAMPLES
+ noinst_PROGRAMS = testdenoise testecho testjitter testresample
diff --git a/media-libs/speexdsp/metadata.xml b/media-libs/speexdsp/metadata.xml
new file mode 100644
index 00000000000..425a1ca399e
--- /dev/null
+++ b/media-libs/speexdsp/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>sound@gentoo.org</email>
+ <name>Gentoo Sound project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="cpe">cpe:/a:xiph:speex</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/media-libs/speexdsp/speexdsp-1.2_rc3.ebuild b/media-libs/speexdsp/speexdsp-1.2_rc3.ebuild
new file mode 100644
index 00000000000..b946550540a
--- /dev/null
+++ b/media-libs/speexdsp/speexdsp-1.2_rc3.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools flag-o-matic multilib-minimal
+
+MY_P=${P/_}
+MY_P=${MY_P/_p/.}
+
+DESCRIPTION="Audio compression format designed for speech -- DSP"
+HOMEPAGE="http://www.speex.org/"
+SRC_URI="http://downloads.xiph.org/releases/speex/${MY_P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
+IUSE="cpu_flags_x86_sse cpu_flags_x86_sse2 neon static-libs"
+
+RDEPEND="!<media-libs/speex-1.2.0"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+S=${WORKDIR}/${MY_P}
+
+PATCHES=( "${FILESDIR}/${P}-configure.patch" )
+
+src_prepare() {
+ default
+
+ sed -i \
+ -e 's:noinst_PROGRAMS:check_PROGRAMS:' \
+ libspeexdsp/Makefile.am || die
+
+ eautoreconf
+}
+
+multilib_src_configure() {
+ append-lfs-flags
+
+ # Can also be configured with one of:
+ # --enable-fixed-point (no floating point)
+ # --with-fft=proprietary-intel-mkl (mkl)
+ # --with-fft=gpl-fftw3 (fftw)
+ ECONF_SOURCE="${S}" econf \
+ $(use_enable static-libs static) \
+ $(use_enable cpu_flags_x86_sse sse) \
+ $(use_enable cpu_flags_x86_sse2 sse2) \
+ $(use_enable neon)
+}
+
+multilib_src_install_all() {
+ default
+ find "${D}" -name '*.la' -delete || die
+}
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-libs/speexdsp/files/, media-libs/speexdsp/
@ 2017-12-17 22:22 Andreas Sturmlechner
0 siblings, 0 replies; 5+ messages in thread
From: Andreas Sturmlechner @ 2017-12-17 22:22 UTC (permalink / raw
To: gentoo-commits
commit: d2f78c951d193dfff031cb9cad4057c856a2d0be
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 17 22:19:39 2017 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Dec 17 22:21:46 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d2f78c95
media-libs/speexdsp: Fix speexdsp_config_types.h
Thanks-to: Arfrever
Closes: https://bugs.gentoo.org/622288
Package-Manager: Portage-2.3.19, Repoman-2.3.6
.../files/speexdsp-1.2_rc3-config_types.h.patch | 61 ++++++++++++++++++++++
media-libs/speexdsp/speexdsp-1.2_rc3-r1.ebuild | 57 ++++++++++++++++++++
2 files changed, 118 insertions(+)
diff --git a/media-libs/speexdsp/files/speexdsp-1.2_rc3-config_types.h.patch b/media-libs/speexdsp/files/speexdsp-1.2_rc3-config_types.h.patch
new file mode 100644
index 00000000000..835769dde70
--- /dev/null
+++ b/media-libs/speexdsp/files/speexdsp-1.2_rc3-config_types.h.patch
@@ -0,0 +1,61 @@
+From c470e2e89a6ca75b507437467692cd684b71a526 Mon Sep 17 00:00:00 2001
+From: Tanu Kaskinen <tanu.kaskinen@linux.intel.com>
+Date: Sun, 5 Jul 2015 18:10:19 +0300
+Subject: [PATCH] Don't rely on HAVE_STDINT_H et al. being defined
+
+Not everyone who includes speexdsp_config_types.h will have a test
+which defines those, and if we've chosen to use the stdint types at
+configure time then we know exactly which header(s) are available, so
+just choose the best one then and generate the header to use it.
+
+This patch, including the above text, is copied from a commit in the
+speex repository[1]. The original commit for speex was made by Ron
+<ron@debian.org>.
+
+[1] https://git.xiph.org/?p=speex.git;a=commitdiff;h=774c87d6cb7dd8dabdd17677fc6da753ecf4aa87
+
+Signed-off-by: Tanu Kaskinen <tanu.kaskinen@linux.intel.com>
+---
+ configure.ac | 6 ++++++
+ include/speex/speexdsp_config_types.h.in | 8 +-------
+ 2 files changed, 7 insertions(+), 7 deletions(-)
+
+diff --git a/configure.ac b/configure.ac
+index 2cd2d1e..1de0c23 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -334,6 +334,12 @@ AC_SUBST([USIZE16])
+ AC_SUBST([SIZE32])
+ AC_SUBST([USIZE32])
+
++AS_IF([test "$ac_cv_header_stdint_h" = "yes"], [INCLUDE_STDINT="#include <stdint.h>"],
++ [test "$ac_cv_header_inttypes_h" = "yes"], [INCLUDE_STDINT="#include <inttypes.h>"],
++ [test "$ac_cv_header_sys_types_h" = "yes"], [INCLUDE_STDINT="#include <sys/types.h>"])
++
++AC_SUBST([INCLUDE_STDINT])
++
+ AC_CONFIG_FILES([
+ Makefile libspeexdsp/Makefile doc/Makefile SpeexDSP.spec
+ include/Makefile include/speex/Makefile speexdsp.pc
+diff --git a/include/speex/speexdsp_config_types.h.in b/include/speex/speexdsp_config_types.h.in
+index 02b82fd..5ea7b55 100644
+--- a/include/speex/speexdsp_config_types.h.in
++++ b/include/speex/speexdsp_config_types.h.in
+@@ -1,13 +1,7 @@
+ #ifndef __SPEEX_TYPES_H__
+ #define __SPEEX_TYPES_H__
+
+-#if defined HAVE_STDINT_H
+-# include <stdint.h>
+-#elif defined HAVE_INTTYPES_H
+-# include <inttypes.h>
+-#elif defined HAVE_SYS_TYPES_H
+-# include <sys/types.h>
+-#endif
++@INCLUDE_STDINT@
+
+ typedef @SIZE16@ spx_int16_t;
+ typedef @USIZE16@ spx_uint16_t;
+--
+2.1.4
+
diff --git a/media-libs/speexdsp/speexdsp-1.2_rc3-r1.ebuild b/media-libs/speexdsp/speexdsp-1.2_rc3-r1.ebuild
new file mode 100644
index 00000000000..b8f99c5a28a
--- /dev/null
+++ b/media-libs/speexdsp/speexdsp-1.2_rc3-r1.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools flag-o-matic multilib-minimal
+
+MY_P=${P/_}
+MY_P=${MY_P/_p/.}
+
+DESCRIPTION="Audio compression format designed for speech -- DSP"
+HOMEPAGE="https://www.speex.org/"
+SRC_URI="https://downloads.xiph.org/releases/speex/${MY_P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
+IUSE="cpu_flags_x86_sse cpu_flags_x86_sse2 cpu_flags_arm_neon static-libs"
+
+RDEPEND="!<media-libs/speex-1.2.0"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+S=${WORKDIR}/${MY_P}
+
+PATCHES=(
+ "${FILESDIR}/${P}-configure.patch"
+ "${FILESDIR}/${P}-config_types.h.patch"
+)
+
+src_prepare() {
+ default
+
+ sed -i \
+ -e 's:noinst_PROGRAMS:check_PROGRAMS:' \
+ libspeexdsp/Makefile.am || die
+
+ eautoreconf
+}
+
+multilib_src_configure() {
+ append-lfs-flags
+
+ # Can also be configured with one of:
+ # --enable-fixed-point (no floating point)
+ # --with-fft=proprietary-intel-mkl (mkl)
+ # --with-fft=gpl-fftw3 (fftw)
+ ECONF_SOURCE="${S}" econf \
+ $(use_enable static-libs static) \
+ $(use_enable cpu_flags_x86_sse sse) \
+ $(use_enable cpu_flags_x86_sse2 sse2) \
+ $(use_enable cpu_flags_arm_neon neon)
+}
+
+multilib_src_install_all() {
+ default
+ find "${D}" -name '*.la' -delete || die
+}
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-libs/speexdsp/files/, media-libs/speexdsp/
@ 2017-12-17 22:56 Andreas Sturmlechner
0 siblings, 0 replies; 5+ messages in thread
From: Andreas Sturmlechner @ 2017-12-17 22:56 UTC (permalink / raw
To: gentoo-commits
commit: 571bc4e9199a5d7c150e7d4759da9ef888c980c9
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 17 22:56:12 2017 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Dec 17 22:56:39 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=571bc4e9
media-libs/speexdsp: Fix rare overflow causing clipping in mumble
Closes: https://bugs.gentoo.org/548770
Package-Manager: Portage-2.3.19, Repoman-2.3.6
.../speexdsp/files/speexdsp-1.2_rc3-overflow.patch | 66 ++++++++++++++++++++++
media-libs/speexdsp/speexdsp-1.2_rc3-r2.ebuild | 58 +++++++++++++++++++
2 files changed, 124 insertions(+)
diff --git a/media-libs/speexdsp/files/speexdsp-1.2_rc3-overflow.patch b/media-libs/speexdsp/files/speexdsp-1.2_rc3-overflow.patch
new file mode 100644
index 00000000000..3a413625085
--- /dev/null
+++ b/media-libs/speexdsp/files/speexdsp-1.2_rc3-overflow.patch
@@ -0,0 +1,66 @@
+From a2133f5904ddb616b6578920bd2199f5accb484d Mon Sep 17 00:00:00 2001
+From: Tristan Matthews <tmatth@videolan.org>
+Date: Fri, 24 Apr 2015 15:55:32 -0400
+Subject: [PATCH] preprocess: prevent rare overflow on overlap-add
+
+Reported-by: Fabian Henze <flyser42@gmx.de>
+---
+ libspeexdsp/arch.h | 3 +++
+ libspeexdsp/preprocess.c | 2 +-
+ libspeexdsp/resample.c | 6 ------
+ 3 files changed, 4 insertions(+), 7 deletions(-)
+
+diff --git a/libspeexdsp/arch.h b/libspeexdsp/arch.h
+index 6b3bc5d..c2de991 100644
+--- a/libspeexdsp/arch.h
++++ b/libspeexdsp/arch.h
+@@ -101,6 +101,8 @@ typedef spx_word32_t spx_sig_t;
+ #define SIG_SHIFT 14
+ #define GAIN_SHIFT 6
+
++#define WORD2INT(x) ((x) < -32767 ? -32768 : ((x) > 32766 ? 32767 : (x)))
++
+ #define VERY_SMALL 0
+ #define VERY_LARGE32 ((spx_word32_t)2147483647)
+ #define VERY_LARGE16 ((spx_word16_t)32767)
+@@ -203,6 +205,7 @@ typedef float spx_word32_t;
+ #define DIV32(a,b) (((spx_word32_t)(a))/(spx_word32_t)(b))
+ #define PDIV32(a,b) (((spx_word32_t)(a))/(spx_word32_t)(b))
+
++#define WORD2INT(x) ((x) < -32767.5f ? -32768 : ((x) > 32766.5f ? 32767 : floor(.5+(x))))
+
+ #endif
+
+diff --git a/libspeexdsp/preprocess.c b/libspeexdsp/preprocess.c
+index c080581..3053eb5 100644
+--- a/libspeexdsp/preprocess.c
++++ b/libspeexdsp/preprocess.c
+@@ -980,7 +980,7 @@ EXPORT int speex_preprocess_run(SpeexPreprocessState *st, spx_int16_t *x)
+
+ /* Perform overlap and add */
+ for (i=0;i<N3;i++)
+- x[i] = st->outbuf[i] + st->frame[i];
++ x[i] = WORD2INT(ADD32(EXTEND32(st->outbuf[i]), EXTEND32(st->frame[i])));
+ for (i=0;i<N4;i++)
+ x[N3+i] = st->frame[N3+i];
+
+diff --git a/libspeexdsp/resample.c b/libspeexdsp/resample.c
+index 4940a64..4e47d67 100644
+--- a/libspeexdsp/resample.c
++++ b/libspeexdsp/resample.c
+@@ -83,12 +83,6 @@ static void speex_free (void *ptr) {free(ptr);}
+ #define M_PI 3.14159265358979323846
+ #endif
+
+-#ifdef FIXED_POINT
+-#define WORD2INT(x) ((x) < -32767 ? -32768 : ((x) > 32766 ? 32767 : (x)))
+-#else
+-#define WORD2INT(x) ((x) < -32767.5f ? -32768 : ((x) > 32766.5f ? 32767 : floor(.5+(x))))
+-#endif
+-
+ #define IMAX(a,b) ((a) > (b) ? (a) : (b))
+ #define IMIN(a,b) ((a) < (b) ? (a) : (b))
+
+--
+2.1.4
+
diff --git a/media-libs/speexdsp/speexdsp-1.2_rc3-r2.ebuild b/media-libs/speexdsp/speexdsp-1.2_rc3-r2.ebuild
new file mode 100644
index 00000000000..ef469e1dd72
--- /dev/null
+++ b/media-libs/speexdsp/speexdsp-1.2_rc3-r2.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools flag-o-matic multilib-minimal
+
+MY_P=${P/_}
+MY_P=${MY_P/_p/.}
+
+DESCRIPTION="Audio compression format designed for speech -- DSP"
+HOMEPAGE="https://www.speex.org/"
+SRC_URI="https://downloads.xiph.org/releases/speex/${MY_P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
+IUSE="cpu_flags_x86_sse cpu_flags_x86_sse2 cpu_flags_arm_neon static-libs"
+
+RDEPEND="!<media-libs/speex-1.2.0"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+S=${WORKDIR}/${MY_P}
+
+PATCHES=(
+ "${FILESDIR}/${P}-configure.patch"
+ "${FILESDIR}/${P}-config_types.h.patch"
+ "${FILESDIR}/${P}-overflow.patch"
+)
+
+src_prepare() {
+ default
+
+ sed -i \
+ -e 's:noinst_PROGRAMS:check_PROGRAMS:' \
+ libspeexdsp/Makefile.am || die
+
+ eautoreconf
+}
+
+multilib_src_configure() {
+ append-lfs-flags
+
+ # Can also be configured with one of:
+ # --enable-fixed-point (no floating point)
+ # --with-fft=proprietary-intel-mkl (mkl)
+ # --with-fft=gpl-fftw3 (fftw)
+ ECONF_SOURCE="${S}" econf \
+ $(use_enable static-libs static) \
+ $(use_enable cpu_flags_x86_sse sse) \
+ $(use_enable cpu_flags_x86_sse2 sse2) \
+ $(use_enable cpu_flags_arm_neon neon)
+}
+
+multilib_src_install_all() {
+ default
+ find "${D}" -name '*.la' -delete || die
+}
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-libs/speexdsp/files/, media-libs/speexdsp/
@ 2021-06-07 9:14 Miroslav Šulc
0 siblings, 0 replies; 5+ messages in thread
From: Miroslav Šulc @ 2021-06-07 9:14 UTC (permalink / raw
To: gentoo-commits
commit: a6969b32e54992ac7ba3de27f0a77354baeaedb2
Author: Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 7 09:14:01 2021 +0000
Commit: Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Mon Jun 7 09:14:01 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a6969b32
media-libs/speexdsp: removed obsolete 1.2_rc3-r3
Package-Manager: Portage-3.0.19, Repoman-3.0.3
Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>
media-libs/speexdsp/Manifest | 1 -
.../files/speexdsp-1.2_rc3-config_types.h.patch | 61 --------------------
.../files/speexdsp-1.2_rc3-configure.patch | 44 ---------------
.../speexdsp/files/speexdsp-1.2_rc3-overflow.patch | 66 ----------------------
media-libs/speexdsp/speexdsp-1.2_rc3-r3.ebuild | 59 -------------------
5 files changed, 231 deletions(-)
diff --git a/media-libs/speexdsp/Manifest b/media-libs/speexdsp/Manifest
index dc23d895ce6..fcff49ea4f2 100644
--- a/media-libs/speexdsp/Manifest
+++ b/media-libs/speexdsp/Manifest
@@ -1,2 +1 @@
DIST speexdsp-1.2.0.tar.gz 919621 BLAKE2B 70c7d07f4b23abbb70cfb212a6541288c71f57fffd5fe22ddd94901a7d01fa403a69b7884e3a4a2267ffd45a7e053b1ae7c7fd662e57053a06d4a7efb7889610 SHA512 e357cd5377415ea66c862302c7cf8bf6a10063cacd903f0846478975b87974cf5bdf00e2c6759d8f4f453c4c869cf284e9dc948a84a83d7b2ab96bd5405c05ec
-DIST speexdsp-1.2rc3.tar.gz 901771 BLAKE2B 85d047df82fc06906598da39ae653aa245c246bfea75c02d25f7811983babdab6a8499c9b563e0d7d2145fa490674df2cf0a05989884ffb3c2c2a183415ce841 SHA512 29dfa8345df025eeb076561648a9b5c0485692be699b6da3c2a3734b4329187a1c2eb181252f4df12b21f1309ecdf59797437dfb123d160fd723491ab216e858
diff --git a/media-libs/speexdsp/files/speexdsp-1.2_rc3-config_types.h.patch b/media-libs/speexdsp/files/speexdsp-1.2_rc3-config_types.h.patch
deleted file mode 100644
index 835769dde70..00000000000
--- a/media-libs/speexdsp/files/speexdsp-1.2_rc3-config_types.h.patch
+++ /dev/null
@@ -1,61 +0,0 @@
-From c470e2e89a6ca75b507437467692cd684b71a526 Mon Sep 17 00:00:00 2001
-From: Tanu Kaskinen <tanu.kaskinen@linux.intel.com>
-Date: Sun, 5 Jul 2015 18:10:19 +0300
-Subject: [PATCH] Don't rely on HAVE_STDINT_H et al. being defined
-
-Not everyone who includes speexdsp_config_types.h will have a test
-which defines those, and if we've chosen to use the stdint types at
-configure time then we know exactly which header(s) are available, so
-just choose the best one then and generate the header to use it.
-
-This patch, including the above text, is copied from a commit in the
-speex repository[1]. The original commit for speex was made by Ron
-<ron@debian.org>.
-
-[1] https://git.xiph.org/?p=speex.git;a=commitdiff;h=774c87d6cb7dd8dabdd17677fc6da753ecf4aa87
-
-Signed-off-by: Tanu Kaskinen <tanu.kaskinen@linux.intel.com>
----
- configure.ac | 6 ++++++
- include/speex/speexdsp_config_types.h.in | 8 +-------
- 2 files changed, 7 insertions(+), 7 deletions(-)
-
-diff --git a/configure.ac b/configure.ac
-index 2cd2d1e..1de0c23 100644
---- a/configure.ac
-+++ b/configure.ac
-@@ -334,6 +334,12 @@ AC_SUBST([USIZE16])
- AC_SUBST([SIZE32])
- AC_SUBST([USIZE32])
-
-+AS_IF([test "$ac_cv_header_stdint_h" = "yes"], [INCLUDE_STDINT="#include <stdint.h>"],
-+ [test "$ac_cv_header_inttypes_h" = "yes"], [INCLUDE_STDINT="#include <inttypes.h>"],
-+ [test "$ac_cv_header_sys_types_h" = "yes"], [INCLUDE_STDINT="#include <sys/types.h>"])
-+
-+AC_SUBST([INCLUDE_STDINT])
-+
- AC_CONFIG_FILES([
- Makefile libspeexdsp/Makefile doc/Makefile SpeexDSP.spec
- include/Makefile include/speex/Makefile speexdsp.pc
-diff --git a/include/speex/speexdsp_config_types.h.in b/include/speex/speexdsp_config_types.h.in
-index 02b82fd..5ea7b55 100644
---- a/include/speex/speexdsp_config_types.h.in
-+++ b/include/speex/speexdsp_config_types.h.in
-@@ -1,13 +1,7 @@
- #ifndef __SPEEX_TYPES_H__
- #define __SPEEX_TYPES_H__
-
--#if defined HAVE_STDINT_H
--# include <stdint.h>
--#elif defined HAVE_INTTYPES_H
--# include <inttypes.h>
--#elif defined HAVE_SYS_TYPES_H
--# include <sys/types.h>
--#endif
-+@INCLUDE_STDINT@
-
- typedef @SIZE16@ spx_int16_t;
- typedef @USIZE16@ spx_uint16_t;
---
-2.1.4
-
diff --git a/media-libs/speexdsp/files/speexdsp-1.2_rc3-configure.patch b/media-libs/speexdsp/files/speexdsp-1.2_rc3-configure.patch
deleted file mode 100644
index ae29da58438..00000000000
--- a/media-libs/speexdsp/files/speexdsp-1.2_rc3-configure.patch
+++ /dev/null
@@ -1,44 +0,0 @@
-diff -Naur speexdsp-1.2rc3.orig/configure.ac speexdsp-1.2rc3/configure.ac
---- speexdsp-1.2rc3.orig/configure.ac 2016-12-12 20:04:48.710853453 -0800
-+++ speexdsp-1.2rc3/configure.ac 2016-12-12 20:05:07.588052415 -0800
-@@ -151,10 +151,17 @@
- AC_ARG_ENABLE(sse, [ --enable-sse Enable SSE support], [
- if test "x$enableval" != xno; then
- has_sse=yes
--has_sse2=yes
--CFLAGS="$CFLAGS -O3 -msse -msse2"
-+CFLAGS="$CFLAGS -msse"
- else
- has_sse=no
-+fi
-+])
-+
-+AC_ARG_ENABLE(sse2, [ --enable-sse2 Enable SSE2 support], [
-+if test "x$enableval" != xno; then
-+has_sse2=yes
-+CFLAGS="$CFLAGS -msse2"
-+else
- has_sse2=no
- fi
- ])
-@@ -162,7 +169,7 @@
- AC_ARG_ENABLE(neon, [ --enable-neon Enable NEON support], [
- if test "x$enableval" != xno; then
- has_neon=yes
--CFLAGS="$CFLAGS -O3 -march=armv7-a -mfpu=neon"
-+CFLAGS="$CFLAGS -mfpu=neon"
- else
- has_neon=no
- fi
-diff -Naur speexdsp-1.2rc3.orig/libspeexdsp/Makefile.am speexdsp-1.2rc3/libspeexdsp/Makefile.am
---- speexdsp-1.2rc3.orig/libspeexdsp/Makefile.am 2016-12-12 20:04:48.690853242 -0800
-+++ speexdsp-1.2rc3/libspeexdsp/Makefile.am 2016-12-12 20:08:27.740161974 -0800
-@@ -29,7 +29,7 @@
- pseudofloat.h smallft.h vorbis_psy.h resample_sse.h resample_neon.h
-
- libspeexdsp_la_LDFLAGS = -no-undefined -version-info @SPEEXDSP_LT_CURRENT@:@SPEEXDSP_LT_REVISION@:@SPEEXDSP_LT_AGE@
--libspeexdsp_la_LIBADD = $(LIBM)
-+libspeexdsp_la_LIBADD = $(LIBM) $(FFT_LIBS)
-
- if BUILD_EXAMPLES
- noinst_PROGRAMS = testdenoise testecho testjitter testresample
diff --git a/media-libs/speexdsp/files/speexdsp-1.2_rc3-overflow.patch b/media-libs/speexdsp/files/speexdsp-1.2_rc3-overflow.patch
deleted file mode 100644
index 3a413625085..00000000000
--- a/media-libs/speexdsp/files/speexdsp-1.2_rc3-overflow.patch
+++ /dev/null
@@ -1,66 +0,0 @@
-From a2133f5904ddb616b6578920bd2199f5accb484d Mon Sep 17 00:00:00 2001
-From: Tristan Matthews <tmatth@videolan.org>
-Date: Fri, 24 Apr 2015 15:55:32 -0400
-Subject: [PATCH] preprocess: prevent rare overflow on overlap-add
-
-Reported-by: Fabian Henze <flyser42@gmx.de>
----
- libspeexdsp/arch.h | 3 +++
- libspeexdsp/preprocess.c | 2 +-
- libspeexdsp/resample.c | 6 ------
- 3 files changed, 4 insertions(+), 7 deletions(-)
-
-diff --git a/libspeexdsp/arch.h b/libspeexdsp/arch.h
-index 6b3bc5d..c2de991 100644
---- a/libspeexdsp/arch.h
-+++ b/libspeexdsp/arch.h
-@@ -101,6 +101,8 @@ typedef spx_word32_t spx_sig_t;
- #define SIG_SHIFT 14
- #define GAIN_SHIFT 6
-
-+#define WORD2INT(x) ((x) < -32767 ? -32768 : ((x) > 32766 ? 32767 : (x)))
-+
- #define VERY_SMALL 0
- #define VERY_LARGE32 ((spx_word32_t)2147483647)
- #define VERY_LARGE16 ((spx_word16_t)32767)
-@@ -203,6 +205,7 @@ typedef float spx_word32_t;
- #define DIV32(a,b) (((spx_word32_t)(a))/(spx_word32_t)(b))
- #define PDIV32(a,b) (((spx_word32_t)(a))/(spx_word32_t)(b))
-
-+#define WORD2INT(x) ((x) < -32767.5f ? -32768 : ((x) > 32766.5f ? 32767 : floor(.5+(x))))
-
- #endif
-
-diff --git a/libspeexdsp/preprocess.c b/libspeexdsp/preprocess.c
-index c080581..3053eb5 100644
---- a/libspeexdsp/preprocess.c
-+++ b/libspeexdsp/preprocess.c
-@@ -980,7 +980,7 @@ EXPORT int speex_preprocess_run(SpeexPreprocessState *st, spx_int16_t *x)
-
- /* Perform overlap and add */
- for (i=0;i<N3;i++)
-- x[i] = st->outbuf[i] + st->frame[i];
-+ x[i] = WORD2INT(ADD32(EXTEND32(st->outbuf[i]), EXTEND32(st->frame[i])));
- for (i=0;i<N4;i++)
- x[N3+i] = st->frame[N3+i];
-
-diff --git a/libspeexdsp/resample.c b/libspeexdsp/resample.c
-index 4940a64..4e47d67 100644
---- a/libspeexdsp/resample.c
-+++ b/libspeexdsp/resample.c
-@@ -83,12 +83,6 @@ static void speex_free (void *ptr) {free(ptr);}
- #define M_PI 3.14159265358979323846
- #endif
-
--#ifdef FIXED_POINT
--#define WORD2INT(x) ((x) < -32767 ? -32768 : ((x) > 32766 ? 32767 : (x)))
--#else
--#define WORD2INT(x) ((x) < -32767.5f ? -32768 : ((x) > 32766.5f ? 32767 : floor(.5+(x))))
--#endif
--
- #define IMAX(a,b) ((a) > (b) ? (a) : (b))
- #define IMIN(a,b) ((a) < (b) ? (a) : (b))
-
---
-2.1.4
-
diff --git a/media-libs/speexdsp/speexdsp-1.2_rc3-r3.ebuild b/media-libs/speexdsp/speexdsp-1.2_rc3-r3.ebuild
deleted file mode 100644
index 6d75678b32b..00000000000
--- a/media-libs/speexdsp/speexdsp-1.2_rc3-r3.ebuild
+++ /dev/null
@@ -1,59 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit autotools flag-o-matic multilib-minimal
-
-MY_P=${P/_}
-MY_P=${MY_P/_p/.}
-
-DESCRIPTION="Audio compression format designed for speech -- DSP"
-HOMEPAGE="https://www.speex.org/"
-SRC_URI="https://downloads.xiph.org/releases/speex/${MY_P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x86-solaris"
-IUSE="cpu_flags_x86_sse cpu_flags_x86_sse2 cpu_flags_arm_neon"
-
-RDEPEND="!<media-libs/speex-1.2.0"
-DEPEND="${RDEPEND}"
-BDEPEND="virtual/pkgconfig"
-
-S="${WORKDIR}/${MY_P}"
-
-PATCHES=(
- "${FILESDIR}"/${P}-configure.patch
- "${FILESDIR}"/${P}-config_types.h.patch
- "${FILESDIR}"/${P}-overflow.patch
-)
-
-src_prepare() {
- default
-
- sed -i \
- -e 's:noinst_PROGRAMS:check_PROGRAMS:' \
- libspeexdsp/Makefile.am || die
-
- eautoreconf
-
- append-lfs-flags
-}
-
-multilib_src_configure() {
- # Can also be configured with one of:
- # --enable-fixed-point (no floating point)
- # --with-fft=proprietary-intel-mkl (mkl)
- # --with-fft=gpl-fftw3 (fftw)
- ECONF_SOURCE="${S}" econf \
- --disable-static \
- $(use_enable cpu_flags_x86_sse sse) \
- $(use_enable cpu_flags_x86_sse2 sse2) \
- $(use_enable cpu_flags_arm_neon neon)
-}
-
-multilib_src_install_all() {
- einstalldocs
- find "${ED}" -name '*.la' -type f -delete || die
-}
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-libs/speexdsp/files/, media-libs/speexdsp/
@ 2024-12-13 9:35 Sam James
0 siblings, 0 replies; 5+ messages in thread
From: Sam James @ 2024-12-13 9:35 UTC (permalink / raw
To: gentoo-commits
commit: f195080b43e59fba5fb65ecd346fdefb6d4adee8
Author: orbea <orbea <AT> riseup <DOT> net>
AuthorDate: Thu Dec 12 14:46:51 2024 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Dec 13 09:32:53 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f195080b
media-libs/speexdsp: fix autoreconf with slibtoolize
Upstream-PR: https://github.com/xiph/speexdsp/pull/48
Upstream-Commit: https://github.com/xiph/speexdsp/commit/dbd421d149a9c362ea16150694b75b63d757a521
Signed-off-by: orbea <orbea <AT> riseup.net>
Signed-off-by: Sam James <sam <AT> gentoo.org>
.../files/speexdsp-1.2.1-slibtoolize.patch | 28 ++++++++++++++++++++++
media-libs/speexdsp/speexdsp-1.2.1.ebuild | 3 ++-
2 files changed, 30 insertions(+), 1 deletion(-)
diff --git a/media-libs/speexdsp/files/speexdsp-1.2.1-slibtoolize.patch b/media-libs/speexdsp/files/speexdsp-1.2.1-slibtoolize.patch
new file mode 100644
index 000000000000..63688bc27070
--- /dev/null
+++ b/media-libs/speexdsp/files/speexdsp-1.2.1-slibtoolize.patch
@@ -0,0 +1,28 @@
+https://github.com/xiph/speexdsp/pull/48
+https://github.com/xiph/speexdsp/commit/dbd421d149a9c362ea16150694b75b63d757a521
+
+From dbd421d149a9c362ea16150694b75b63d757a521 Mon Sep 17 00:00:00 2001
+From: orbea <orbea@riseup.net>
+Date: Tue, 4 Jun 2024 08:54:37 -0700
+Subject: [PATCH] configure.ac: don't use internal GNU libtool functions
+
+This doesn't work when using slibtoolize instead of GNU libtoolize and
+is not necessary anyways.
+
+Signed-off-by: orbea <orbea@riseup.net>
+---
+ configure.ac | 1 -
+ 1 file changed, 1 deletion(-)
+
+diff --git a/configure.ac b/configure.ac
+index cd433ffe..413f71da 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -22,7 +22,6 @@ AM_INIT_AUTOMAKE([foreign no-define])
+ AM_MAINTAINER_MODE([enable])
+
+ AC_CANONICAL_HOST
+-_LT_SET_OPTION([LT_INIT],[win32-dll])
+ LT_INIT
+
+ AC_C_BIGENDIAN
diff --git a/media-libs/speexdsp/speexdsp-1.2.1.ebuild b/media-libs/speexdsp/speexdsp-1.2.1.ebuild
index 9c163de502b2..4c7c02bf2599 100644
--- a/media-libs/speexdsp/speexdsp-1.2.1.ebuild
+++ b/media-libs/speexdsp/speexdsp-1.2.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -23,6 +23,7 @@ S="${WORKDIR}/${MY_P}"
PATCHES=(
"${FILESDIR}"/${PN}-1.2.0-configure.patch
+ "${FILESDIR}"/${P}-slibtoolize.patch
)
src_prepare() {
^ permalink raw reply related [flat|nested] 5+ messages in thread
end of thread, other threads:[~2024-12-13 9:35 UTC | newest]
Thread overview: 5+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-12-13 9:35 [gentoo-commits] repo/gentoo:master commit in: media-libs/speexdsp/files/, media-libs/speexdsp/ Sam James
-- strict thread matches above, loose matches on Subject: below --
2021-06-07 9:14 Miroslav Šulc
2017-12-17 22:56 Andreas Sturmlechner
2017-12-17 22:22 Andreas Sturmlechner
2017-03-03 23:11 Michael Palimaka
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox